/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <May 28, 2026> */

/**/
	/*fonts*/

	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
body[data-page-name="index"] #navigation {
    position: absolute;
}

/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
/* CTA */
	/**/
/* Welcome */
	/**/

#welcome-wrap.style-1 {
    padding-bottom: 11vw;
}
#welcome-wrap.style-1 .svg-background .cls-1 {
    fill: var(--color-secondary-background);
}

#welcome-wrap.style-1 .module-22 .ry-right .content-wrap p {
    text-align: center !important;
}
/* Services */
	/**/
#section-hp-services::before {
    height: 40%;
    top: auto;
    bottom: 0;
}

#services-12 > div:nth-child(odd) > div > p, #services-12 > div:nth-child(even) > div > p {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    color: #666;
}

#services-12 > div:nth-child(odd), #services-12 > div:nth-child(even) {
    background-color: white;
    border-radius: 0;
    border: 10px solid var(--color-secondary-background);
}

#services-12 > div:nth-child(odd) > div > h4, #services-12 > div:nth-child(even) > div > h4 {
    color: #374151;
}

#services-12 img {
    filter: brightness(0) !important;
}
/* Meet the Team */
	/**/
/* Insurance */
	/**/
/* Brand */
	/**/
#hp-brands-6 .overflow-hidden {
    padding: 0;
}

#hp-brands-6 .swiper-slide {
    background: none;
}
#hp-brands-6 img {
    filter: invert(1);
}
.brand-4-swiper-button-next,
.brand-4-swiper-button-prev {
  color: var(--color-secondary-background);
  background-color: var(--color-secondary-text);
}

/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.testimonials-swiper p, .testimonials-swiper-2 p {
    color: #666;
}

.module-testimonials.style-2::before, .module-testimonials.style-3::after {
    opacity: 0;
}
/* Footer */
	/**/
/*Media Queries*/
	/**/


@media (max-width:1024px){
    body[data-page-name="index"] #navigation {
        position: relative;
    }
    
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
}
@media (max-width:1080px){
    #section-hp-services::before {
        opacity: 1;
        height: 20%;
    }
    #hp-brands-1::before, #hp-brands-2::before, #hp-brands-3::before, #hp-brands-4::before, #hp-brands-5::before, #hp-brands-6::before {
        opacity: 1;
    }
}
/* End - HP Edits*/

body[data-page-name="contact-us"] #footer-map {
	display: none;
}

body[data-page-name="contact-us"] #ry-footer-3 {
	padding-top: 220px;
}